# Copyright (C) 2004-2006 Free Software Foundation, Inc.
#
# This file is free software, distributed under the terms of the GNU
# General Public License.  As a special exception to the GNU General
# Public License, this file may be distributed as part of a program
# that contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the compiled summary of the specification in
# gnulib-cache.m4. It lists the computed macro invocations that need
# to be invoked from configure.ac.
# In projects using CVS, this file can be treated like other built files.


# This macro should be invoked from ./configure.ac, in the section
# "Checks for programs", right after AC_PROG_CC, and certainly before
# any checks for libraries, header files, types and library functions.
AC_DEFUN([gl_EARLY],
[
  m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
  m4_pattern_allow([^gl_ES$])dnl a valid locale name
  AC_REQUIRE([AC_PROG_RANLIB])
  AC_REQUIRE([AC_GNU_SOURCE])
])

# This macro should be invoked from ./configure.ac, in the section
# "Check for header files, types and library functions".
AC_DEFUN([gl_INIT],
[
  AM_CONDITIONAL([GL_COND_LIBTOOL], [true])
  gl_FUNC_ALLOCA
  gl_HEADER_ARPA_INET
  gl_ERROR
  gl_EXITFAIL
  gl_GETADDRINFO
  gl_FUNC_GETDELIM
  gl_FUNC_GETLINE
  gl_GETOPT
  gl_FUNC_GETPASS
  AM_ICONV
  gl_ICONVME
  gl_INET_NTOP
  gl_HEADER_NETINET_IN
  gl_QUOTE
  gl_QUOTEARG
  gl_FUNC_READLINE
  gl_SIZE_MAX
  gl_FUNC_SNPRINTF
  gl_TYPE_SOCKLEN_T
  AM_STDBOOL_H
  gl_FUNC_STRDUP
  gl_HEADER_SYS_SELECT
  gl_HEADER_SYS_SOCKET
  gl_HEADER_UNISTD
  gl_FUNC_VASNPRINTF
  gl_XALLOC
  gl_XSIZE
])

# This macro records the list of files which have been installed by
# gnulib-tool and may be removed by future gnulib-tool invocations.
AC_DEFUN([gl_FILE_LIST], [
  build-aux/GNUmakefile
  build-aux/config.rpath
  build-aux/gendocs.sh
  build-aux/maint.mk
  doc/fdl.texi
  doc/gendocs_template
  lib/alloca_.h
  lib/asnprintf.c
  lib/error.c
  lib/error.h
  lib/exit.h
  lib/exitfail.c
  lib/exitfail.h
  lib/gai_strerror.c
  lib/getaddrinfo.c
  lib/getaddrinfo.h
  lib/getdelim.c
  lib/getdelim.h
  lib/getline.c
  lib/getline.h
  lib/getopt.c
  lib/getopt1.c
  lib/getopt_.h
  lib/getopt_int.h
  lib/getpass.c
  lib/getpass.h
  lib/gettext.h
  lib/iconvme.c
  lib/iconvme.h
  lib/inet_ntop.c
  lib/inet_ntop.h
  lib/printf-args.c
  lib/printf-args.h
  lib/printf-parse.c
  lib/printf-parse.h
  lib/progname.c
  lib/progname.h
  lib/quote.c
  lib/quote.h
  lib/quotearg.c
  lib/quotearg.h
  lib/readline.c
  lib/readline.h
  lib/size_max.h
  lib/snprintf.c
  lib/snprintf.h
  lib/socket_.h
  lib/stdbool_.h
  lib/strdup.c
  lib/strdup.h
  lib/vasnprintf.c
  lib/vasnprintf.h
  lib/xalloc-die.c
  lib/xalloc.h
  lib/xmalloc.c
  lib/xsize.h
  m4/alloca.m4
  m4/arpa_inet_h.m4
  m4/eoverflow.m4
  m4/error.m4
  m4/exitfail.m4
  m4/getaddrinfo.m4
  m4/getdelim.m4
  m4/getline.m4
  m4/getopt.m4
  m4/getpass.m4
  m4/iconv.m4
  m4/iconvme.m4
  m4/inet_ntop.m4
  m4/intmax_t.m4
  m4/inttypes_h.m4
  m4/lib-ld.m4
  m4/lib-link.m4
  m4/lib-prefix.m4
  m4/longdouble.m4
  m4/longlong.m4
  m4/mbrtowc.m4
  m4/mbstate_t.m4
  m4/netinet_in_h.m4
  m4/onceonly_2_57.m4
  m4/quote.m4
  m4/quotearg.m4
  m4/readline.m4
  m4/signed.m4
  m4/size_max.m4
  m4/snprintf.m4
  m4/socklen.m4
  m4/sockpfaf.m4
  m4/stdbool.m4
  m4/stdint_h.m4
  m4/strdup.m4
  m4/sys_select_h.m4
  m4/sys_socket_h.m4
  m4/unistd_h.m4
  m4/vasnprintf.m4
  m4/wchar_t.m4
  m4/wint_t.m4
  m4/xalloc.m4
  m4/xsize.m4
])
